Rispondere

Re: Nighthawk X4S (D7800) vpn error

marlon83
Guide

Nighthawk X4S (D7800) vpn error

Salve a tutti

ultimamente con la connessione VPN da WIN11 mi restituisce un errore :

typically indicates that client and server have no common TLS version enabled. This can be caused by mismatched tls-version-min and tls-version-max options on client and server.

 

If your OpenVPN client is between v2.3.6 and v2.3.2 try adding tls-version-min 1.0 to the client configuration to use TLS 1.0+ instead of TLS 1.0 only

 

se aggiungo la stringa tls-version-min 1.0

ricevo SSL routines::legacy sigalg disallowed or unsupported


Thu Mar 9 11:00:15 2023 OpenSSL: error:0A000102:SSL routines::unsupported protocol
Thu Mar 9 11:00:15 2023 TLS_ERROR: BIO read tls_read_plaintext error
Thu Mar 9 11:00:15 2023 TLS Error: TLS object -> incoming plaintext read error
Thu Mar 9 11:00:15 2023 TLS Error: TLS handshake failed

se metto 

remote-cert-tls server

 

niente non so come fare da cellulare tutto funzionante

 

ho anche disattivato che attivato i DDNS (ho un ip fisso ) e vorrei evitare ddns ma nulla da fare.

avete idee ?

versione firmware 1.0.1.68

 

p.s. ho anche sempre il problema che se spengo il router devi ricaricare la configurazione come se non venisse salvato .

 

 

 

Model: D7800|Nighthawk X4S – AC2600 WiFi VDSL/ADSL Modem Router
Messaggio 1 di 7

Soluzioni accettate
marlon83
Guide

Re: Nighthawk X4S (D7800) vpn error

Grazie risolto reinstallando openvpn con versione 2.5.8

Visualizza soluzione nel messaggio originale

Messaggio 7 di 7

Tutte le risposte
SimonaCa
NETGEAR Employee Retired

Re: Nighthawk X4S (D7800) vpn error

Salve @marlon83

 

Bentornato nella Community NETGEAR Italia 🙂 

 

È successo qualcosa in particolare prima che iniziasse a verificarsi questo errore? 

 

Saluti,

Simona

Team NETGEAR

Messaggio 2 di 7
marlon83
Guide

Re: Nighthawk X4S (D7800) vpn error

no , a parte un aggiornamento dell'ultimo firmware al router e l'installazione dell'ultima versione di openVPN ,non è successo nulla di particolare mi da proprio errore nel modulo TLS ma anche prima avevo blocchi e riblocchi dovevo spesso disattivare e riattivare sul router il modulo vpn .

marlon83_0-1679325676731.png

poi non capisco bene il funzionamento la config vpn dal router è in simbiosi con l'utilizzo del DDNS o posso anche disattivarlo se ho un ip pubblico e uso un DNS globale?

grazie 

p.s. lato mobile si connette ma non accedo a nulla nella LAN remota

Messaggio 3 di 7
SimonaCa
NETGEAR Employee Retired

Re: Nighthawk X4S (D7800) vpn error

Salve @marlon83

 

Come indicato nel manuale utente, la VPN utilizza DDNS o un indirizzo IP statico per connettersi al modem router.

 

Generalmente, gli operatori telefonici forniscono l'indirizzo IP dinamico agli utenti privati (per le reti domestiche). In questo caso, sarà necessario abilitare il DDNS. 

Se invece ha un IP statico, dovrebbe poter disabilitare DDNS. 

 

Ho effettuato ulteriori ricerche circa la problematica oggetto del post. 

 

La maggior parte dei browser ha smesso di supportare TLS 1.0 e TLS 1.1.

Pertanto, una versione del protocollo comune non esiste più e quindi non viene stabilita alcuna connessione.

 

Quale browser utilizza pr effettuare la connessione? 

Per ora, dovrebbe ancora poter utilizzare Internet Explorer. Se non lo ha, può installare una versione precedente di Firefox (94.0.2).
Si asicuri anche di modificare le impostazioni per disabilitare gli aggiornamenti automatici.

 

Saluti,

Simona

Team NETGEAR

Messaggio 4 di 7
broraf
Initiate

Re: Nighthawk X4S (D7800) vpn error

Prova a usare OpenVPN 2.5.8 ? 

 

Grande cambiamento a SSL in OpenVpn 2.6. Un esempio diverso con raccomandazione 2.5.8: https://www.sonassi.com/help/access/openvpn-2-6-openssl-3-support

 

Il ripristino ha rimosso questi stessi problemi per me. (Nighthawk X6 (R800) - Windows 11, OpenVPN 2.6 OpenVPN 2.5.8,  2023-03-18) 

 

[Usando Google Traduttore, scusa]

Messaggio 5 di 7
marlon83
Guide

Re: Nighthawk X4S (D7800) vpn error

Grazie per le risposte provo a tornare alla versione 2.5.8 , non capisco perchè debba usare firefox 97 chi sfrutta questo? io ho w11 e quindi niente IE ma uso chrome.

Messaggio 6 di 7
marlon83
Guide

Re: Nighthawk X4S (D7800) vpn error

Grazie risolto reinstallando openvpn con versione 2.5.8

Messaggio 7 di 7
Statistiche discussione
  • 6 risposte
  • 3121 visualizzazioni
  • 3 kudos
  • 3 con conversazione attiva